APT-CONFIG(8)

NOME
apt-config - programma di interrogazione della configurazione di APT

SINOSSI

apt-config [--empty] [--format '%f "%v";%n'] [-o=stringa_config] [-c=file_config] {shell | dump | {-v | --version} | {-h | --help}}

DESCRIZIONE

apt-config è un programma interno usato da varie parti della suite APT per fornire una configurabilità coerente. Accede al file principale di configurazione /etc/apt/apt.conf in un modo facile da usare da parte di applicazioni che usano script.

A meno che non venga fornita l'opzione -h o --help, deve essere presente uno dei comandi seguenti.

shell
    shell viene usato per accedere alle informazioni di configurazione da parte di uno script di shell. Riceve coppie di argomenti, il primo dei quali è una variabile di shell e il secondo è il valore di configurazione da interrogare. Come risultato elenca il comando shell di assegnazione per ciascun valore presente. In uno script di shell dovrebbe essere usato in modo simile a:

        OPZIONI="-f"
        RES=`apt-config shell OPZIONI MiaApp::opzioni`
        eval $RES
    In questo modo la variabile d'ambiente $OPZIONI della shell verrà impostata al valore di MiaApp::opzioni con un valore predefinito di -f.

    La voce di configurazione può essere seguita da /[fdbi]. f restituisce nomi di file, d restituisce directory, b restituisce vero o falso e i restituisce un intero. Ogni valore restituito è normalizzato e verificato internamente.

dump
    Mostra soltanto i contenuti dello spazio di configurazione.

OPZIONI

Tutte le opzioni a riga di comando si possono impostare usando il file di configurazione; le descrizioni indicano l'opzione da impostare. Per le opzioni booleane si può scavalcare il file di configurazione usando qualcosa come -f-, --no-f, -f=no o diverse altre varianti.

--empty
    Include le opzioni che hanno un valore vuoto. Questo è il comportamento predefinito, perciò usare --no-empty per rimuoverle dall'output.

--format '%f "%v";%n'
    Definisce l'output per ciascuna opzione di configurazione. %t verrà sostituito dal suo nome, %f dal suo nome gerarchico completo e %v dal suo valore. Usa le lettere maiuscole e i caratteri speciali nel valore verranno codificati per assicurare che possano essere usati senza problemi in una stringa tra virgolette, come definito nella RFC822. In aggiunta %n verrà sostituito da un ritorno a capo e %N da una tabulazione. Un carattere % può essere prodotto usando %%.

-h, --help
    Mostra un breve riassunto sull'uso.

-v, --version
    Mostra la versione del programma.

--audit
    Show audit (and notice) messages. This overrides the quiet option, but only for notice messages, not progress ones.

-c, --config-file
    File di configurazione; specifica un file di configurazione da usare. Il programma legge il file di configurazione predefinito e poi questo file di configurazione. Se è necessario modificare le impostazioni di configurazione prima che vengano analizzati i file di configurazione predefiniti, specificare un file con la variabile d'ambiente APT_CONFIG. Vedere apt.conf(5) per informazioni sulla sintassi.

-o, --option
    Set a Configuration Option; This will set an arbitrary configuration option. The syntax is -o Foo::Bar=bar. -o and --option can be used multiple times to set different options.

--no-color, --color
    Turn colors on or off. Colors are on by default on supported terminals for apt(8) and can also be disabled using the NO_COLOR or APT_NO_COLOR environment variables, or further configured by the APT::Color configuration option and scope, see apt.conf(5) for information on that.

VEDERE ANCHE

apt.conf(5)

DIAGNOSTICA

apt-config restituisce zero in caso di funzionamento normale e il valore decimale 100 in caso di errore.

BUG

Pagina dei bug di APT[1]. Se si desidera segnalare un bug in APT, vedere /usr/share/doc/debian/bug-reporting.txt o il comando reportbug(1).

TRADUZIONE

Traduzione in italiano a cura del Team italiano di localizzazione di Debian <debian-l10n-italian@lists.debian.org>. In particolare hanno contribuito Eugenia Franzoni (2000), Hugh Hartmann (2000-2012), Gabriele Stilli (2012), Beatrice Torracca (2012, 2014, 2015).

Notare che questa versione tradotta del documento può contenere parti non tradotte. Ciò è voluto, per evitare di perdere contenuti quando la traduzione non è aggiornata rispetto all'originale.

AUTORI

Jason Gunthorpe

Team APT

NOTE

1.  Pagina dei bug di APT
    https://bugs.debian.org/src:apt